Package java.lang

## Class RuntimeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException

- All Implemented Interfaces:
    `Serializable`
  Direct Known Subclasses:
    `ArithmeticException`, `ArrayStoreException`, `ClassCastException`, `ConcurrentModificationException`, `EmptyStackException`, `IllegalArgumentException`, `IllegalMonitorStateException`, `IllegalStateException`, `IllegalStateException`, `IndexOutOfBoundsException`, `MicroUIException`, `NegativeArraySizeException`, `NoSuchElementException`, `NullPointerException`, `SecurityException`, `UnsupportedOperationException`, `VectorGraphicsException`

      public class RuntimeException
      extends Exception

  `RuntimeException` is the superclass of those exceptions that can be thrown during the normal operation of the Java Virtual Machine.

  `RuntimeException` and its subclasses are unchecked exceptions. Unchecked exceptions do not need to be declared in a method or constructor's `throws` clause if they can be thrown by the execution of the method or constructor and propagate outside the method or constructor boundary.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RuntimeException()` | Constructs a new runtime exception with `null` as its detail message.
    `RuntimeException​(String message)` | Constructs a new runtime exception with the specified detail message.
    `RuntimeException​(String message, Throwable cause)` | Constructs a new runtime exception with the specified detail message and cause.
    `RuntimeException​(Throwable cause)` | Constructs a new runtime exception with the specified cause and a detail message of `(cause==null ? null : cause.toString())` (which typically contains the class and detail message of `cause`).

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RuntimeException

          public RuntimeException()

      Constructs a new runtime exception with `null` as its detail message. The cause is not initialized, and may subsequently be initialized by a call to `Throwable.initCause(java.lang.Throwable)`.

    - #### RuntimeException

          public RuntimeException​(String message)

      Constructs a new runtime exception with the specified detail message. The cause is not initialized, and may subsequently be initialized by a call to `Throwable.initCause(java.lang.Throwable)`.
      Parameters:
        `message` - the detail message. The detail message is saved for later retrieval by the `Throwable.getMessage()` method.

    - #### RuntimeException

          public RuntimeException​(String message,
                                  @Nullable
                                  Throwable cause)

      Constructs a new runtime exception with the specified detail message and cause.

      Note that the detail message associated with `cause` is not automatically incorporated in this runtime exception's detail message.

      Parameters:
        `message` - the detail message (which is saved for later retrieval by the `Throwable.getMessage()` method).
        `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method). (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)

    - #### RuntimeException

          public RuntimeException​(@Nullable
                                  Throwable cause)

      Constructs a new runtime exception with the specified cause and a detail message of `(cause==null ? null : cause.toString())` (which typically contains the class and detail message of `cause`). This constructor is useful for runtime exceptions that are little more than wrappers for other throwables.
      Parameters:
        `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method). (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)